condenser_api.get_account_bandwidth
disabled removed
Bandwidth was disabled in 0.20.6; public nodes no longer serve this method.
Purpose
Désactivé depuis la version 0.20.6, voir : #3029
Retourne la bande passante (bandwidth) disponible d'un compte. Paramètres : account:string ; type:string, par exemple : forum ou market
account (string) | type (string) | |
|---|---|---|
"steemit" | "forum" | Interroge la bande passante forum disponible pour le compte nommé "steemit". |
"alice" | "market" | Interroge la bande passante market disponible pour le compte nommé "alice". |
Voir : Forum/Market Bandwidth
Parameters
PARAMETERS
json
[
"steemit",
"forum"
]⚠ Cette méthode RPC n’est plus fournie par les nœuds publics.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_bandwidth",
"params": [
"steemit",
"forum"
],
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_bandwidth",
"params": [
"alice",
"market"
],
"id": 1
}'Response
RESPONSE
json
{
"id": 8,
"account": "steemit",
"type": "forum",
"average_bandwidth": 214996934,
"lifetime_bandwidth": "48395000000",
"last_bandwidth_update": "2018-02-16T03:11:00"
}Expected curl responses
EXPECTED RESPONSES
text
Could not find method get_account_bandwidthtext
Could not find method get_account_bandwidth